#
# The Qubes OS Project, http://www.qubes-os.org
#
# Copyright (C) 2010  Joanna Rutkowska <joanna@invisiblethingslab.com>
# Copyright (C) 2010  Rafal Wojtczuk  <rafal@invisiblethingslab.com>
# Copyright (C) 2012  Marek Marczykowski <marmarek@invisiblethingslab.com>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
#

Name:		qubes-libvchan-xen
Version:	4.0.8
Release:	1%{dist}

Summary:	Qubes vchan libraries
License:	GPL v2 only
Group:		Qubes
Vendor:		Invisible Things Lab
URL:		http://www.qubes-os.org
Obsoletes:  qubes-core-libs < 2.1.2
Provides:   qubes-core-libs
Provides:   qubes-libvchan
BuildRequires: gcc
BuildRequires: xen-devel >= 4.2
Source0:    %{name}-%{version}.tar.gz

%description
The Qubes core libraries for installation inside a Qubes Dom0 and VM.

%prep
%setup -q

%build
%{?set_build_flags}
export LIBDIR=%{_libdir}
export INCLUDEDIR=%{_includedir}
make all

%install
export LIBDIR=%{_libdir}
export INCLUDEDIR=%{_includedir}
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT
rm -f %{name}-%{version}

%files
%{_libdir}/libvchan-xen.so
%{_libdir}/libu2mfn.so

%package devel
Summary:        Include files for qubes core libraries
License:        GPL v2 only
Group:          Development/Sources 
Obsoletes:      qubes-core-appvm-devel
Obsoletes:      qubes-core-vm-devel < 2.1.2
Obsoletes:      qubes-core-libs-devel < 2.1.2
Provides:      qubes-core-vm-devel
Provides:       qubes-core-libs-devel
Provides:       qubes-libvchan-devel
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description devel

%files devel
%{_includedir}/vchan-xen/libvchan.h
%{_libdir}/pkgconfig/vchan-xen.pc
%{_includedir}/u2mfnlib.h
%{_includedir}/u2mfn-kernel.h

%changelog
* Wed Apr 29 2020 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-core-vchan-xen.git

* Wed Apr 29 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - fbf87cd
- version 4.0.8

* Sun Oct 20 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 158e268
- travis: switch to bionic

* Sat Sep 21 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 72a92cc
- version 4.0.7

* Sat Sep 21 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 866a9e6
- Check if domain is alive using domctl

* Mon Sep 09 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f209138
- rpm: use %set_build_flags macro only when present

* Mon Sep 09 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f858aea
- version 4.0.6

* Mon Sep 09 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 541b826
- travis: add fc30, switch to xenial

* Mon Sep 09 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 87dd93a
- debian: make use of more flexible makefile

* Mon Sep 09 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e133b83
- rpm: make use of improved make file

* Mon Sep 09 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f511e08
- Make the makefile more flexible, introduce PREFIX, LIBDIR, INCLUDEDIR

* Mon Sep 09 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e057593
- Drop obsolete make targets

* Sat Oct 13 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8fdb81b
- debian: don't create orig.tar.gz manually

* Tue Oct 09 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2e0ffb2
- version 4.0.5

* Mon Oct 08 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8f962c3
- version 4.0.4

* Mon Oct 08 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2098b07
- travis: update Fedora and Debian versions

* Tue Oct 02 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 20768c3
- rpm: add BR: gcc

* Wed Jul 11 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4c03e67
- version 4.0.3

* Sat Jul 07 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1da16a6
- windows: update for vs2017

* Thu May 03 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5ba7ae1
- version 4.0.2

* Wed May 02 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 84ff019
- travis: add centos7

* Wed Apr 18 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - df82341
- travis: update for R4.0, bump Fedora versions

* Thu Apr 05 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 42d07fb
- Adjust snprintf string limit

* Tue Apr 03 2018 Frédéric Pierret <frederic.epitre@orange.fr> - 3ddbea5
- spec.in: add changelog placeholder

* Sun Apr 01 2018 Frédéric Pierret <frederic.epitre@orange.fr> - 18c8ea3
- Remove _builddir

* Sun Apr 01 2018 Frédéric Pierret <frederic.epitre@orange.fr> - c6be85a
- Create spec.in and Source0

* Tue Feb 27 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a817e9e
- version 4.0.1

* Fri Feb 23 2018 Ilpo Järvinen <ilpo.jarvinen@helsinki.fi> - c3cbde0
- Typo fix to description

* Sat Aug 05 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ae1abc4
- version 4.0.0

* Sat Apr 08 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1593553
- version 3.2.1

* Sat Feb 25 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 494817e
- Cleanup empty xenstore directory after removing connection data

* Tue Jan 10 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f988f14
- travis: drop debootstrap workaround

* Fri Nov 18 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e3f8d14
- Don't require xen-devel when building other packages linked with vchan

* Mon Sep 05 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ae702b2
- version 3.2.0

* Mon Aug 08 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d999e48
- Allow building with Xen 4.6 and 4.7

* Sun Jul 31 2016 WetwareLabs <marcus@wetwa.re> - 7539521
- Move libxenctrl dependency to Makefile

* Fri Jul 22 2016 WetwareLabs <marcus@wetwa.re> - d8242b8
- Add libxenctlr dependency

* Fri Jul 22 2016 WetwareLabs <marcus@wetwa.re> - 9a009a2
- Fix building for Xen 4.7.0

* Tue May 31 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e0a33f6
- travis: initial version

* Sat Nov 28 2015 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8c3bc1c
- version 3.1.0

* Wed Nov 18 2015 Rafał Wojdyła <omeg@invisiblethingslab.com> - cac1044
- windows: return ERROR_NOT_SUPPORTED if xeniface is unavailable

* Wed Nov 18 2015 Rafał Wojdyła <omeg@invisiblethingslab.com> - 6fa47e1
- windows: define meaningful perror() in vchan-test

* Wed Nov 18 2015 Rafał Wojdyła <omeg@invisiblethingslab.com> - 0d68d24
- windows: automatic VS project formatting

* Wed Nov 18 2015 Rafał Wojdyła <omeg@invisiblethingslab.com> - ec41c7b
- windows: update logger type

* Mon Nov 02 2015 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f549948
- debian: do not depend on specific Xen version

* Thu Oct 29 2015 Rafał Wojdyła <omeg@invisiblethingslab.com> - 3716928
- windows: update for pvdriver changes

* Wed Oct 21 2015 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9e5e407
- Remove redundant link option

* Tue Oct 20 2015 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0b146f2
- studom: fix building with Xen 4.6

* Sun Aug 09 2015 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8e40bb5
- version 3.0.8

* Sat Aug 08 2015 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f9646a1
- version 3.0.7

* Fri Jul 24 2015 Rafał Wojdyła <omeg@invisiblethingslab.com> - a928c58
- windows: account for xenstore watches being triggered immediately after creation

